Bug 24652 - szl_PL spelling correction
Summary: szl_PL spelling correction
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.30
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-09 22:27 UTC by Grzegorz Kulik
Modified: 2019-07-31 21:48 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Updated locale for Silesian (szl_PL) (1.64 KB, text/plain)
2019-06-09 22:27 UTC, Grzegorz Kulik
Details
Patch to correct the Silesian spelling. (760 bytes, patch)
2019-06-18 17:11 UTC, Grzegorz Kulik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Kulik 2019-06-09 22:27:46 UTC
Created attachment 11826 [details]
Updated locale for Silesian (szl_PL)

Hi, I maintain the Ubuntu Silesian translation and I noticed the Silesian weekday and month names are misspelled in the library, so here's the updated version.
Comment 1 Rafal Luzynski 2019-06-18 00:23:32 UTC
Thank you for your contribution.

1. Can you please provide an authoritative (scientific etc.) source of your data?  Usually our authoritative source is CLDR but unfortunately it does not support Silesian.

1a. Can you consider adding Silesian to CLDR?  http://cldr.unicode.org/index/bug-reports#New_Locales

2. Can you please provide the change as a git patch?  Make a local copy of glibc repository, apply your changes, commit locally adding your comment, and use "git format-patch" to generate the patch.  Then attach to this bug report.

3. Silesian is an inflected language so needs more changes:

    mon     "styczy<U0144>";/
            "luty";/
    ...

this should be probably:


    alt_mon "styczy<U0144>";/
            "luty";/
    ...
    mon     "stycz<U0144>a";/
            "lutygo";/
    ...

I can't speak Silesian so this may be wrong.  Also please verify if abbreviated nominative and abbreviated genitive month names are the same in Silesian.  If not, ab_alt_mon section must be provided.  See the examples:

* bug 10871
* https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=2aa8009 (Polish)
* https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=189699a (Kashubian)
Comment 2 Grzegorz Kulik 2019-06-18 17:10:23 UTC
Hi Rafal, thank you for all the information. I've filed a ticket to CLDR along with core data for Silesian. Thanks for the tip.

Regarding your remarks about the inflections: I actually should have looked into other languages if there were any differences instead of just making changes to the spelling. I'm attaching the patch as requested, I'm not very git-savvy, I hope everything is fine there.

When it comes to authoritative sources of the information provided, I think the best would be these three:

Day of week and month names:
Olesch, Reinhold, "Der Wortschatz der Polnischen Mundart von Sankt Annaberg", 1958, Berlin, Osteuropa Institut an der Freien Universität Berlin, Slavistische Veröffentlichungen, Band 17

Alphabet used:
Gōrnoślōnski ślabikŏrz [The Upper Silesian Primer], 2010, Chorzów: Pro Loquela Silesiana. ISBN 9788362349005
Syniawa, Mirosław. 2010. Ślabikŏrz niy dlŏ bajtli, abo lekcyje ślōnskij gŏdki [The Silesian Primer not for Kids, or the Silesian Language in Lessons]. Chorzów: Pro Loquela Silesiana. ISBN 9788362349012
Comment 3 Grzegorz Kulik 2019-06-18 17:11:26 UTC
Created attachment 11844 [details]
Patch to correct the Silesian spelling.
Comment 4 Rafal Luzynski 2019-06-21 21:52:28 UTC
Thank you, Grzegorz.  Your patch looks technically correct.

Please check and confirm that your month names are correct because Wikipedia says:

* kwjećyń https://szl.wikipedia.org/wiki/Kwje%C4%87y%C5%84
* czyrwjec https://szl.wikipedia.org/wiki/Czyrwjec
* and so on...

and in the genitive case:

* styczńa https://szl.wikipedia.org/wiki/1_stycz%C5%84a
* lutygo https://szl.wikipedia.org/wiki/1_lutygo
* kwjetńa https://szl.wikipedia.org/wiki/1_kwjet%C5%84a
* and so on - many differences...

I understand that Wikipedia may be wrong but I must ask twice before I accept that.
Comment 5 Grzegorz Kulik 2019-06-22 10:53:58 UTC
Yes, the names provided in the patch are correct. Unfortunately the Silesian Wikipedia hasn't been properly maintained for a decade and the script there is based on the Steuer alphabet while we have agreed on Ślabikorz script in 2009. There is some articles in ślabikŏrz there but they never managed to fully convert to it.

Steuer: https://szl.wikipedia.org/wiki/Steuerowy_szrajb%C5%AFnek
Ślabikŏrz: https://szl.wikipedia.org/wiki/%C5%9Alabik%C5%8Frzowy_szrajb%C5%8Dnek
Comment 6 cvs-commit@gcc.gnu.org 2019-06-24 09:03:00 UTC
The master branch has been updated by Rafal Luzynski <rl@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2bd81b60d6ffdf7e0d22006d69f4b812b1c80513

commit 2bd81b60d6ffdf7e0d22006d69f4b812b1c80513
Author: Grzegorz Kulik <gregorykkulik@gmail.com>
Date:   Tue Jun 18 18:41:19 2019 +0200

    szl_PL locale: Spelling corrections (bug 24652).
    
    This commit also provides the correct month names in both nominative
    and genitive case for Silesian language, as required by the fix for
    the bug 10871.
    
    	[BZ #24652]
    	* localedata/locales/szl_PL (abday): Spelling corrections.
    	(day): Likewise.
    	(abmon): Likewise.
    	(mon): Rename to...
    	(alt_mon): This, then apply spelling corrections.
    	(mon): New entry, month names in the genitive case.
Comment 7 Rafal Luzynski 2019-06-24 09:48:33 UTC
Your patch has been committed now with minor fixes, thank you.
Comment 8 Piotr Drąg 2019-06-24 11:14:22 UTC
-        "py<U0144>dzi<U014F>ek";/
+        "py<U0144>działek";/

This looks like an oversight wrt. the encoding of the non-ASCII “ł”.

(Really happy to see some progress on Silesian, btw!)
Comment 9 Rafal Luzynski 2019-06-24 19:59:31 UTC
Whoops, thanks for spotting. I'm fixing it now.
Comment 10 Grzegorz Kulik 2019-06-24 20:14:50 UTC
Good catch, Piotr, thank you! I'm hoping to be able to present a fully Silesian system + office suite + browser to the Silesian community before the end of the year, so it's great we got everything sorted out.

Thank you both for all your help!
Comment 11 cvs-commit@gcc.gnu.org 2019-06-24 20:25:35 UTC
The master branch has been updated by Rafal Luzynski <rl@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a55541fd1c4774d483c2d2b4bd17bcb9faac62e7

commit a55541fd1c4774d483c2d2b4bd17bcb9faac62e7
Author: Rafal Luzynski <digitalfreak@lingonborough.com>
Date:   Mon Jun 24 22:04:41 2019 +0200

    szl_PL locale: Fix a typo in the previous commit (bug 24652).
    
    The Unicode sequences in the format <Uxxxx> should be used instead of
    non-ASCII characters.
    
    Reported by Piotr Drąg:
    https://sourceware.org/bugzilla/show_bug.cgi?id=24652#c8
    
    	[BZ #24652]
    	* localedata/locales/szl_PL (day): Use the correct Unicode
    	sequences instead of non-ASCII characters.